
Log Reporting - Task #7232

Log Aggregation prints out unnecessary log info for IP to location lookup

2015-06-25 20:54 - Peter Slaughter

Status: Closed Start date: 2015-06-25

Priority: Normal Due date:  

Assignee: Peter Slaughter % Done: 100%

Category: d1_log_aggregation Estimated time: 0.00 hour

Target version: CCI-1.5.2   

Story Points:    

Description

The method d1_log_aggregation_v1.4/src/main/java/org/dataone/cn/batch/logging/GeoIPService.java/initLocation  calls

"System.out.println("country: " + country + ", region: " + region + ", city: " + city);", which should be removed. Another call

"System.out.println("location not found");" should be changed to logger.warn(...)

History

#1 - 2015-06-26 19:57 - Peter Slaughter

- Assignee set to Peter Slaughter

#2 - 2015-06-26 19:58 - Peter Slaughter

- Target version changed from CCI-1.5.3 to CCI-1.5.2

#3 - 2015-06-30 16:34 - Peter Slaughter

- % Done changed from 0 to 30

- Status changed from New to In Progress

#4 - 2015-06-30 16:35 - Peter Slaughter

- % Done changed from 30 to 50

- Status changed from In Progress to Testing

#5 - 2015-07-09 13:09 - Peter Slaughter

- Status changed from Testing to Closed

- translation missing: en.field_remaining_hours set to 0.0

- % Done changed from 50 to 100

Tested, verified in stage environment (cn-stage-ucsb-1).
